<template>
  <q-markup-table dense>
    <thead>
      <tr>
        <th class="text-left">Datos</th>
        <th class="text-right">Monto</th>
        <th class="text-right">Acciones</th>
      </tr>
    </thead>
    <tbody>
      <tr v-for="item in dataSet" :key="item.uuid">
        <td class="text-left">
          <q-item>
            <q-item-section>
              <q-item-label>{{ item.numero }}</q-item-label>
              <q-item-label caption lines="2">
                <span>Detalle :</span> {{ item.detalle }}
              </q-item-label>
              <q-item-label caption lines="2">
                <span>Evento :</span> {{ item.evento }}
              </q-item-label>
              <q-item-label caption lines="3">
                <span>Fecha. :</span> {{ item.fecha }}
              </q-item-label>
            </q-item-section>
          </q-item>
          <q-chip
            v-if="item.eliminado"
            class="full-width"
            dense
            square
            color="red"
            text-color="white"
          >
            <span class="text-center full-width"> Recibo Anulado </span>
          </q-chip>
        </td>
        <td class="text-right">
          <q-chip color="green" text-color="white" square>
            {{ item.monto }}
          </q-chip>
        </td>
        <td class="text-right">
          <q-btn
            flat
            color="green"
            size="sm"
            icon="point_of_sale"
            :to="'/finanzas/recibos/detalle/' + item.uuid"
          >
            Detalle
          </q-btn>
        </td>
      </tr>
    </tbody>
    <Loading :showing="loading" />
  </q-markup-table>
</template>

<script lang="ts">
import { defineComponent, ref, onMounted } from 'vue';
import { api } from 'src/boot/axios/index';
import { AxiosResponse } from 'axios';
import Loading from 'src/components/Loading.vue';

export default defineComponent({
  name: 'PendientesCierrePartial',
  components: { Loading },
  setup() {
    const loading = ref(true);

    onMounted(() => {
      getCumpleanios();
    });

    const dataSet = ref();
    function getCumpleanios() {
      api
        .get('/api/finanzas/recibos?rowsPerPage=10')
        .then((response: AxiosResponse) => {
          dataSet.value = response.data.data;
        })
        .finally(() => {
          loading.value = false;
        });
    }

    return { loading, dataSet };
  },
});
</script>
